Bug 1789261 - transient.cluster.routing.allocation.enable is none sometimes after cluster upgrade
Summary: transient.cluster.routing.allocation.enable is none sometimes after cluster u...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.2.z
Assignee: ewolinet
QA Contact: Anping Li
URL:
Whiteboard:
Depends On: 1753568
Blocks: 1761080
TreeView+ depends on / blocked
 
Reported: 2020-01-09 08:24 UTC by Anping Li
Modified: 2020-02-12 12:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1753568
Environment:
Last Closed: 2020-02-12 12:16:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift elasticsearch-operator pull 218 None closed Bug 1789261: Dont restart cluster just because EO restarted 2020-02-10 02:23:01 UTC
Red Hat Product Errata RHBA-2020:0395 None None None 2020-02-12 12:16:42 UTC

Comment 1 Anping Li 2020-01-09 08:32:55 UTC
Why I cloned this bug 4.2?  We still hit this issue when upgrade from 4.2 to 4.3.  
The fix is in EO 4.3. But during upgrade,  CLO was upgraded prior to EO, we still may hit this error (At that point EO is still 4.2, without the fix).  I suggest backporting fix to EO 4.2

Comment 5 Anping Li 2020-02-06 08:03:40 UTC
Verified in Elasticsearch Operator:4.3.1-202002032140

Comment 7 errata-xmlrpc 2020-02-12 12:16:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0395


Note You need to log in before you can comment on or make changes to this bug.